<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_AdjustmentPriceInformation StructType
 * @subpackage Structs
 */
class JP_AdjustmentPriceInformation extends AbstractStructBase
{
    /**
     * The Promotions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Promotion
     */
    public $Promotions;
    /**
     * The Price
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Price
     */
    public $Price;
    /**
     * The RelPaxesDist
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RelPaxDist
     */
    public $RelPaxesDist;
    /**
     * Constructor method for JP_AdjustmentPriceInformation
     * @uses JP_AdjustmentPriceInformation::setPromotions()
     * @uses JP_AdjustmentPriceInformation::setPrice()
     * @uses JP_AdjustmentPriceInformation::setRelPaxesDist()
     * @param \ArrayType\ArrayOfJP_Promotion $promotions
     * @param \StructType\JP_Price $price
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     */
    public function __construct(\ArrayType\ArrayOfJP_Promotion $promotions = null, \StructType\JP_Price $price = null, \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this
            ->setPromotions($promotions)
            ->setPrice($price)
            ->setRelPaxesDist($relPaxesDist);
    }
    /**
     * Get Promotions value
     * @return \ArrayType\ArrayOfJP_Promotion|null
     */
    public function getPromotions()
    {
        return $this->Promotions;
    }
    /**
     * Set Promotions value
     * @param \ArrayType\ArrayOfJP_Promotion $promotions
     * @return \StructType\JP_AdjustmentPriceInformation
     */
    public function setPromotions(\ArrayType\ArrayOfJP_Promotion $promotions = null)
    {
        $this->Promotions = $promotions;
        return $this;
    }
    /**
     * Get Price value
     * @return \StructType\JP_Price|null
     */
    public function getPrice()
    {
        return $this->Price;
    }
    /**
     * Set Price value
     * @param \StructType\JP_Price $price
     * @return \StructType\JP_AdjustmentPriceInformation
     */
    public function setPrice(\StructType\JP_Price $price = null)
    {
        $this->Price = $price;
        return $this;
    }
    /**
     * Get RelPaxesDist value
     * @return \ArrayType\ArrayOfJP_RelPaxDist|null
     */
    public function getRelPaxesDist()
    {
        return $this->RelPaxesDist;
    }
    /**
     * Set RelPaxesDist value
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     * @return \StructType\JP_AdjustmentPriceInformation
     */
    public function setRelPaxesDist(\ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this->RelPaxesDist = $relPaxesDist;
        return $this;
    }
}
